
NemoMath - Enhancement #774
Provide SlidingWindow implementation
12/16/2011 02:02 PM - Anonymous

Status: New Start date: 12/16/2011
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: NemoMath 0.5
Description
Provide implementation of a sliding window, which is a TimeSeries with
    -  a defined number of elements or
    -  a defined duration
Features:
    -  On inserting/appending: Remove old elements as soon as duration / number of elements is too large.
    -  Handle on-the-fly resizing of the window.

History
#1 - 12/16/2011 02:54 PM - M. Rolf
- Assignee set to Anonymous

#2 - 02/01/2012 12:42 PM - M. Rolf
- Target version set to NemoMath 0.4

#3 - 09/23/2013 06:18 PM - Anonymous
- Target version changed from NemoMath 0.4 to NemoMath 0.5
